REMOVE(3)

NAME
remove - remove directory entry

LIBRARY
libc

SYNOPSIS
#include <stdio.h>
int
remove(const char *path);

DESCRIPTION
The remove() function removes the file or directory specified by path.

If path specifies a directory, remove(path) is the equivalent of rmdir(path). Otherwise, it is the equivalent of unlink(path).

RETURN VALUES

ERRORS
The remove() function may fail and set errno for any of the errors specified for the routines lstat(2), rmdir(2) or unlink(2).

SEE ALSO
rmdir(2), unlink(2)

STANDARDS
The remove() function conforms to isoC and xpg4.2.